/* Insert this code into your C program to fire the C:\Program Files\NeuroShell 2\Eman\NN network */
/* This code is designed to be simple and fast for porting to any machine */
/* Therefore all code and weights are inline without looping or data storage */
/*   which might be harder to port between compilers. */
 
#include <math.h>
 
void Fire_NN(double *inarray. double *outarray)
{
 double netsum;
 double feature2[21];
 double feature3[21];
 double feature4[11];
 
/* inarray[1] is C1 */
/* inarray[2] is C20 */
/* inarray[3] is C21 */
/* inarray[4] is C23 */
/* inarray[5] is C34 */
/* inarray[6] is C40 */
/* inarray[7] is C44 */
/* inarray[8] is C46 */
/* inarray[9] is C52 */
/* inarray[10] is C56 */
/* inarray[11] is C57 */
/* inarray[12] is C58 */
/* inarray[13] is C59 */
/* inarray[14] is C63 */
/* inarray[15] is C64 */
/* inarray[16] is C66 */
/* inarray[17] is C67 */
/* inarray[18] is C68 */
/* inarray[19] is C69 */
/* inarray[20] is C70 */
/* inarray[21] is C71 */
/* inarray[22] is C72 */
/* outarray[1] is C73 */
 
if (inarray[0]<-1) inarray[0] = -1;
if (inarray[0]>1) inarray[0] = 1;
inarray[0] =  2 * (inarray[0] + 1) / 2 -1;
 
if (inarray[1]<-1) inarray[1] = -1;
if (inarray[1]>1) inarray[1] = 1;
inarray[1] =  2 * (inarray[1] + 1) / 2 -1;
 
if (inarray[2]<-1) inarray[2] = -1;
if (inarray[2]>1) inarray[2] = 1;
inarray[2] =  2 * (inarray[2] + 1) / 2 -1;
 
if (inarray[3]<-1) inarray[3] = -1;
if (inarray[3]>1) inarray[3] = 1;
inarray[3] =  2 * (inarray[3] + 1) / 2 -1;
 
if (inarray[4]<-1) inarray[4] = -1;
if (inarray[4]>1) inarray[4] = 1;
inarray[4] =  2 * (inarray[4] + 1) / 2 -1;
 
if (inarray[5]<-1) inarray[5] = -1;
if (inarray[5]>1) inarray[5] = 1;
inarray[5] =  2 * (inarray[5] + 1) / 2 -1;
 
if (inarray[6]<-1) inarray[6] = -1;
if (inarray[6]>1) inarray[6] = 1;
inarray[6] =  2 * (inarray[6] + 1) / 2 -1;
 
if (inarray[7]<-1) inarray[7] = -1;
if (inarray[7]>1) inarray[7] = 1;
inarray[7] =  2 * (inarray[7] + 1) / 2 -1;
 
if (inarray[8]<-1) inarray[8] = -1;
if (inarray[8]>1) inarray[8] = 1;
inarray[8] =  2 * (inarray[8] + 1) / 2 -1;
 
if (inarray[9]<-1) inarray[9] = -1;
if (inarray[9]>1) inarray[9] = 1;
inarray[9] =  2 * (inarray[9] + 1) / 2 -1;
 
if (inarray[10]<-1) inarray[10] = -1;
if (inarray[10]>1) inarray[10] = 1;
inarray[10] =  2 * (inarray[10] + 1) / 2 -1;
 
if (inarray[11]<-1) inarray[11] = -1;
if (inarray[11]>1) inarray[11] = 1;
inarray[11] =  2 * (inarray[11] + 1) / 2 -1;
 
if (inarray[12]<-1) inarray[12] = -1;
if (inarray[12]>1) inarray[12] = 1;
inarray[12] =  2 * (inarray[12] + 1) / 2 -1;
 
if (inarray[13]<-1) inarray[13] = -1;
if (inarray[13]>1) inarray[13] = 1;
inarray[13] =  2 * (inarray[13] + 1) / 2 -1;
 
if (inarray[14]<-1) inarray[14] = -1;
if (inarray[14]>1) inarray[14] = 1;
inarray[14] =  2 * (inarray[14] + 1) / 2 -1;
 
if (inarray[15]<-1) inarray[15] = -1;
if (inarray[15]>1) inarray[15] = 1;
inarray[15] =  2 * (inarray[15] + 1) / 2 -1;
 
if (inarray[16]<-1) inarray[16] = -1;
if (inarray[16]>1) inarray[16] = 1;
inarray[16] =  2 * (inarray[16] + 1) / 2 -1;
 
if (inarray[17]<-1) inarray[17] = -1;
if (inarray[17]>1) inarray[17] = 1;
inarray[17] =  2 * (inarray[17] + 1) / 2 -1;
 
if (inarray[18]<-1) inarray[18] = -1;
if (inarray[18]>1) inarray[18] = 1;
inarray[18] =  2 * (inarray[18] + 1) / 2 -1;
 
if (inarray[19]<-1) inarray[19] = -1;
if (inarray[19]>1) inarray[19] = 1;
inarray[19] =  2 * (inarray[19] + 1) / 2 -1;
 
if (inarray[20]<-1) inarray[20] = -1;
if (inarray[20]>1) inarray[20] = 1;
inarray[20] =  2 * (inarray[20] + 1) / 2 -1;
 
if (inarray[21]<-1) inarray[21] = -1;
if (inarray[21]>1) inarray[21] = 1;
inarray[21] =  2 * (inarray[21] + 1) / 2 -1;
 
netsum = -0.7658779;
netsum += inarray[0] * -0.4992133;
netsum += inarray[1] * -0.1249177;
netsum += inarray[2] * -0.1926216;
netsum += inarray[3] * 0.4753698;
netsum += inarray[4] * -0.378637;
netsum += inarray[5] * 0.3154088;
netsum += inarray[6] * 0.2064692;
netsum += inarray[7] * -9.383243E-02;
netsum += inarray[8] * 5.694411E-02;
netsum += inarray[9] * -0.5365402;
netsum += inarray[10] * -0.4458842;
netsum += inarray[11] * 0.1340885;
netsum += inarray[12] * -0.1572897;
netsum += inarray[13] * 0.272723;
netsum += inarray[14] * -0.3970723;
netsum += inarray[15] * -0.5822135;
netsum += inarray[16] * 0.8128836;
netsum += inarray[17] * 3.424274E-02;
netsum += inarray[18] * -3.839485E-03;
netsum += inarray[19] * 0.4793906;
netsum += inarray[20] * -0.0875686;
netsum += inarray[21] * 0.1102089;
feature2[0] = exp(-netsum * netsum);
 
netsum = 0.3404601;
netsum += inarray[0] * 7.375889E-02;
netsum += inarray[1] * 0.1714534;
netsum += inarray[2] * -0.3347977;
netsum += inarray[3] * -1.010256;
netsum += inarray[4] * 4.446248;
netsum += inarray[5] * -0.10306;
netsum += inarray[6] * 0.1902767;
netsum += inarray[7] * 0.4195466;
netsum += inarray[8] * -0.3330345;
netsum += inarray[9] * -0.3341826;
netsum += inarray[10] * 0.5500616;
netsum += inarray[11] * 1.889043;
netsum += inarray[12] * 3.553124E-02;
netsum += inarray[13] * 0.5789171;
netsum += inarray[14] * 3.009735E-02;
netsum += inarray[15] * -2.104222E-02;
netsum += inarray[16] * -0.9510341;
netsum += inarray[17] * -1.085973;
netsum += inarray[18] * -0.9860056;
netsum += inarray[19] * -9.119996E-02;
netsum += inarray[20] * -0.3061723;
netsum += inarray[21] * 0.3765509;
feature2[1] = exp(-netsum * netsum);
 
netsum = 6.553359E-02;
netsum += inarray[0] * -4.764737E-02;
netsum += inarray[1] * -0.1508322;
netsum += inarray[2] * 0.3021794;
netsum += inarray[3] * -0.1699255;
netsum += inarray[4] * -0.3896798;
netsum += inarray[5] * -0.2361465;
netsum += inarray[6] * -0.0997002;
netsum += inarray[7] * -0.1098671;
netsum += inarray[8] * 2.805101E-02;
netsum += inarray[9] * -0.1937521;
netsum += inarray[10] * -0.1163493;
netsum += inarray[11] * 6.040815E-02;
netsum += inarray[12] * -0.1053514;
netsum += inarray[13] * -0.1867064;
netsum += inarray[14] * -0.1721876;
netsum += inarray[15] * -0.3663351;
netsum += inarray[16] * -0.3730298;
netsum += inarray[17] * 0.1207708;
netsum += inarray[18] * 0.1874006;
netsum += inarray[19] * -3.789776E-02;
netsum += inarray[20] * -0.5837452;
netsum += inarray[21] * 0.1542235;
feature2[2] = exp(-netsum * netsum);
 
netsum = 0.1911024;
netsum += inarray[0] * -0.2887951;
netsum += inarray[1] * -0.1543272;
netsum += inarray[2] * 0.1819661;
netsum += inarray[3] * -0.1207569;
netsum += inarray[4] * 0.0587033;
netsum += inarray[5] * 0.6558281;
netsum += inarray[6] * -0.2584507;
netsum += inarray[7] * 9.744438E-02;
netsum += inarray[8] * -0.2086892;
netsum += inarray[9] * 0.3239776;
netsum += inarray[10] * 0.4754583;
netsum += inarray[11] * 0.3751396;
netsum += inarray[12] * -0.4033052;
netsum += inarray[13] * -0.6063776;
netsum += inarray[14] * -0.3961024;
netsum += inarray[15] * 0.8208134;
netsum += inarray[16] * -0.1599259;
netsum += inarray[17] * 0.1062334;
netsum += inarray[18] * -9.052537E-02;
netsum += inarray[19] * 0.2294741;
netsum += inarray[20] * 0.2037133;
netsum += inarray[21] * -1.418913E-02;
feature2[3] = exp(-netsum * netsum);
 
netsum = 0.1468623;
netsum += inarray[0] * 2.258482E-02;
netsum += inarray[1] * 0.0884206;
netsum += inarray[2] * -0.1301686;
netsum += inarray[3] * -1.460986E-02;
netsum += inarray[4] * 2.185103E-03;
netsum += inarray[5] * 0.1709507;
netsum += inarray[6] * 0.2590782;
netsum += inarray[7] * -0.1352994;
netsum += inarray[8] * 0.1128281;
netsum += inarray[9] * 0.1122741;
netsum += inarray[10] * 4.425503E-02;
netsum += inarray[11] * 0.1303552;
netsum += inarray[12] * -0.5981687;
netsum += inarray[13] * 0.100368;
netsum += inarray[14] * 2.979212E-02;
netsum += inarray[15] * -0.5730647;
netsum += inarray[16] * 0.1531533;
netsum += inarray[17] * 0.2063889;
netsum += inarray[18] * -0.4235066;
netsum += inarray[19] * 0.1141945;
netsum += inarray[20] * -0.249615;
netsum += inarray[21] * -0.5109364;
feature2[4] = exp(-netsum * netsum);
 
netsum = -0.3465492;
netsum += inarray[0] * -0.3154753;
netsum += inarray[1] * 0.144197;
netsum += inarray[2] * -0.6805155;
netsum += inarray[3] * -6.252926E-02;
netsum += inarray[4] * -8.480255E-02;
netsum += inarray[5] * -0.3465615;
netsum += inarray[6] * 0.3017876;
netsum += inarray[7] * 0.6765978;
netsum += inarray[8] * -0.2477951;
netsum += inarray[9] * 0.6623626;
netsum += inarray[10] * 0.2381729;
netsum += inarray[11] * 0.6282017;
netsum += inarray[12] * 0.4357538;
netsum += inarray[13] * 0.1592487;
netsum += inarray[14] * 0.1098889;
netsum += inarray[15] * 0.4227839;
netsum += inarray[16] * 2.315629E-02;
netsum += inarray[17] * 0.1955558;
netsum += inarray[18] * -0.4248721;
netsum += inarray[19] * 5.492527E-02;
netsum += inarray[20] * 0.2069738;
netsum += inarray[21] * -0.4556091;
feature2[5] = exp(-netsum * netsum);
 
netsum = -2.552361;
netsum += inarray[0] * -2.419826;
netsum += inarray[1] * 0.4214718;
netsum += inarray[2] * 0.7709617;
netsum += inarray[3] * 0.4218034;
netsum += inarray[4] * -0.0158402;
netsum += inarray[5] * -4.246156E-02;
netsum += inarray[6] * -0.0652677;
netsum += inarray[7] * 0.3411005;
netsum += inarray[8] * -1.462589;
netsum += inarray[9] * 0.5205655;
netsum += inarray[10] * -0.5802166;
netsum += inarray[11] * 2.426775E-02;
netsum += inarray[12] * -0.232346;
netsum += inarray[13] * 0.3837217;
netsum += inarray[14] * -4.699741E-02;
netsum += inarray[15] * 0.1623472;
netsum += inarray[16] * 0.6652808;
netsum += inarray[17] * 0.4614817;
netsum += inarray[18] * 1.378863E-02;
netsum += inarray[19] * -0.1486899;
netsum += inarray[20] * -0.2491924;
netsum += inarray[21] * 0.4142599;
feature2[6] = exp(-netsum * netsum);
 
netsum = 0.1507863;
netsum += inarray[0] * -2.573279E-02;
netsum += inarray[1] * -0.2684789;
netsum += inarray[2] * 0.108327;
netsum += inarray[3] * 0.2709378;
netsum += inarray[4] * 0.5494795;
netsum += inarray[5] * 0.5833618;
netsum += inarray[6] * 0.0213123;
netsum += inarray[7] * 0.1190155;
netsum += inarray[8] * 0.1660978;
netsum += inarray[9] * 4.768218E-02;
netsum += inarray[10] * 0.1705727;
netsum += inarray[11] * 0.7926833;
netsum += inarray[12] * 8.483482E-02;
netsum += inarray[13] * 0.1506574;
netsum += inarray[14] * -0.2142109;
netsum += inarray[15] * 0.9344258;
netsum += inarray[16] * -0.4437006;
netsum += inarray[17] * -0.5978618;
netsum += inarray[18] * -0.7310769;
netsum += inarray[19] * -0.2057287;
netsum += inarray[20] * -0.2280211;
netsum += inarray[21] * -0.1835568;
feature2[7] = exp(-netsum * netsum);
 
netsum = 0.4248051;
netsum += inarray[0] * 0.2954005;
netsum += inarray[1] * 0.3746259;
netsum += inarray[2] * 0.3272378;
netsum += inarray[3] * 9.632121E-02;
netsum += inarray[4] * -0.2642058;
netsum += inarray[5] * 0.5597744;
netsum += inarray[6] * -3.429664E-02;
netsum += inarray[7] * 1.138451;
netsum += inarray[8] * -1.291975;
netsum += inarray[9] * -8.914165E-03;
netsum += inarray[10] * -0.1391116;
netsum += inarray[11] * -7.367274E-02;
netsum += inarray[12] * 0.4354205;
netsum += inarray[13] * -0.5155662;
netsum += inarray[14] * 0.2785375;
netsum += inarray[15] * -0.1748898;
netsum += inarray[16] * 0.4025967;
netsum += inarray[17] * 0.376165;
netsum += inarray[18] * -9.196401E-02;
netsum += inarray[19] * 3.147348E-02;
netsum += inarray[20] * 8.132955E-02;
netsum += inarray[21] * 0.2182369;
feature2[8] = exp(-netsum * netsum);
 
netsum = -0.2683716;
netsum += inarray[0] * -0.6165939;
netsum += inarray[1] * -7.453382E-02;
netsum += inarray[2] * 1.163937;
netsum += inarray[3] * 0.7747154;
netsum += inarray[4] * -1.0045;
netsum += inarray[5] * -0.1630404;
netsum += inarray[6] * -0.1512546;
netsum += inarray[7] * 0.1616525;
netsum += inarray[8] * -0.5837299;
netsum += inarray[9] * -1.285944;
netsum += inarray[10] * -1.484864;
netsum += inarray[11] * -0.3548874;
netsum += inarray[12] * -7.027311E-02;
netsum += inarray[13] * 0.5274261;
netsum += inarray[14] * -0.1231899;
netsum += inarray[15] * 2.047349;
netsum += inarray[16] * 1.668415;
netsum += inarray[17] * 1.147074;
netsum += inarray[18] * 0.8042636;
netsum += inarray[19] * 1.139733;
netsum += inarray[20] * 0.1586499;
netsum += inarray[21] * -2.583851E-02;
feature2[9] = exp(-netsum * netsum);
 
netsum = -0.3481364;
netsum += inarray[0] * -0.0547741;
netsum += inarray[1] * 1.044807;
netsum += inarray[2] * 0.0213553;
netsum += inarray[3] * -0.3408293;
netsum += inarray[4] * -0.1674774;
netsum += inarray[5] * 0.1380542;
netsum += inarray[6] * 0.3705992;
netsum += inarray[7] * 9.377165E-02;
netsum += inarray[8] * -8.673588E-02;
netsum += inarray[9] * -0.2435738;
netsum += inarray[10] * 8.451736E-02;
netsum += inarray[11] * 0.1151782;
netsum += inarray[12] * -1.252961E-02;
netsum += inarray[13] * -1.572039E-02;
netsum += inarray[14] * 8.223864E-02;
netsum += inarray[15] * 0.9730589;
netsum += inarray[16] * 0.6921337;
netsum += inarray[17] * -1.013864E-02;
netsum += inarray[18] * -0.1590198;
netsum += inarray[19] * -9.518903E-02;
netsum += inarray[20] * -0.1480139;
netsum += inarray[21] * 1.072474;
feature2[10] = exp(-netsum * netsum);
 
netsum = -0.1666842;
netsum += inarray[0] * -0.411577;
netsum += inarray[1] * 3.412009E-02;
netsum += inarray[2] * -0.1640367;
netsum += inarray[3] * 3.675542E-02;
netsum += inarray[4] * 0.2916282;
netsum += inarray[5] * 0.3240628;
netsum += inarray[6] * 0.5867194;
netsum += inarray[7] * 0.2338781;
netsum += inarray[8] * 2.357731E-02;
netsum += inarray[9] * -0.2286665;
netsum += inarray[10] * 0.1879279;
netsum += inarray[11] * 0.5795017;
netsum += inarray[12] * 8.018489E-02;
netsum += inarray[13] * 0.19286;
netsum += inarray[14] * -0.5429938;
netsum += inarray[15] * -0.4756393;
netsum += inarray[16] * -0.3598341;
netsum += inarray[17] * -4.976107E-02;
netsum += inarray[18] * -0.3476215;
netsum += inarray[19] * 0.2671307;
netsum += inarray[20] * -9.645121E-02;
netsum += inarray[21] * -0.8327618;
feature2[11] = exp(-netsum * netsum);
 
netsum = 0.2333904;
netsum += inarray[0] * 1.836303E-02;
netsum += inarray[1] * 0.3512397;
netsum += inarray[2] * 8.127005E-02;
netsum += inarray[3] * 1.179423E-03;
netsum += inarray[4] * 1.318571E-02;
netsum += inarray[5] * -4.523725E-02;
netsum += inarray[6] * -0.2694897;
netsum += inarray[7] * -0.2336978;
netsum += inarray[8] * -0.2618307;
netsum += inarray[9] * 0.4308795;
netsum += inarray[10] * -7.942241E-02;
netsum += inarray[11] * 1.305313E-02;
netsum += inarray[12] * -9.947132E-02;
netsum += inarray[13] * -0.195214;
netsum += inarray[14] * 1.370172E-02;
netsum += inarray[15] * -1.012179;
netsum += inarray[16] * 0.0312235;
netsum += inarray[17] * 0.3265681;
netsum += inarray[18] * -0.265249;
netsum += inarray[19] * -0.1943946;
netsum += inarray[20] * 5.192035E-02;
netsum += inarray[21] * -0.2394665;
feature2[12] = exp(-netsum * netsum);
 
netsum = -0.3909685;
netsum += inarray[0] * -0.6648661;
netsum += inarray[1] * 0.712148;
netsum += inarray[2] * -0.5583127;
netsum += inarray[3] * -0.7895676;
netsum += inarray[4] * -0.4217408;
netsum += inarray[5] * -0.1057656;
netsum += inarray[6] * 0.1483907;
netsum += inarray[7] * 0.2129218;
netsum += inarray[8] * 0.3225992;
netsum += inarray[9] * -2.499635;
netsum += inarray[10] * -0.500057;
netsum += inarray[11] * 1.113374;
netsum += inarray[12] * 0.5491191;
netsum += inarray[13] * -0.2546608;
netsum += inarray[14] * 0.3444458;
netsum += inarray[15] * 1.447756;
netsum += inarray[16] * 0.6082;
netsum += inarray[17] * 0.4353222;
netsum += inarray[18] * -0.2741059;
netsum += inarray[19] * -4.681856E-02;
netsum += inarray[20] * 0.3843408;
netsum += inarray[21] * 1.624337;
feature2[13] = exp(-netsum * netsum);
 
netsum = -0.1064031;
netsum += inarray[0] * 7.581071E-02;
netsum += inarray[1] * 0.1423355;
netsum += inarray[2] * 0.5444418;
netsum += inarray[3] * 0.3882384;
netsum += inarray[4] * -0.959098;
netsum += inarray[5] * 1.832541;
netsum += inarray[6] * 0.1162522;
netsum += inarray[7] * -0.4541208;
netsum += inarray[8] * -0.1605192;
netsum += inarray[9] * -1.993653;
netsum += inarray[10] * -0.1345464;
netsum += inarray[11] * -0.2486547;
netsum += inarray[12] * -6.988572E-02;
netsum += inarray[13] * -0.2828367;
netsum += inarray[14] * 0.1236128;
netsum += inarray[15] * 1.906565;
netsum += inarray[16] * 1.146211;
netsum += inarray[17] * 0.8646815;
netsum += inarray[18] * 0.591126;
netsum += inarray[19] * 0.3136482;
netsum += inarray[20] * 0.317459;
netsum += inarray[21] * -0.3663307;
feature2[14] = exp(-netsum * netsum);
 
netsum = -0.5117566;
netsum += inarray[0] * -5.075618E-02;
netsum += inarray[1] * -0.1522232;
netsum += inarray[2] * 5.404807E-02;
netsum += inarray[3] * 0.021634;
netsum += inarray[4] * 7.274488E-02;
netsum += inarray[5] * -0.1151036;
netsum += inarray[6] * 0.4658365;
netsum += inarray[7] * -0.2538624;
netsum += inarray[8] * 0.1910002;
netsum += inarray[9] * 0.8688591;
netsum += inarray[10] * -0.1302264;
netsum += inarray[11] * 0.0209525;
netsum += inarray[12] * -0.4376832;
netsum += inarray[13] * -8.295085E-02;
netsum += inarray[14] * -0.1435241;
netsum += inarray[15] * -0.7524329;
netsum += inarray[16] * -0.2441424;
netsum += inarray[17] * 6.434891E-02;
netsum += inarray[18] * -0.2364031;
netsum += inarray[19] * 0.2648246;
netsum += inarray[20] * -0.6169768;
netsum += inarray[21] * -0.3126287;
feature2[15] = exp(-netsum * netsum);
 
netsum = 0.1068685;
netsum += inarray[0] * 0.5335906;
netsum += inarray[1] * 2.289185E-02;
netsum += inarray[2] * -0.3780926;
netsum += inarray[3] * -7.824536E-02;
netsum += inarray[4] * 2.892968E-02;
netsum += inarray[5] * 0.4622808;
netsum += inarray[6] * 0.3864114;
netsum += inarray[7] * 0.0182358;
netsum += inarray[8] * 0.1186444;
netsum += inarray[9] * 1.582008E-02;
netsum += inarray[10] * -0.2765061;
netsum += inarray[11] * -0.1492669;
netsum += inarray[12] * -0.2674615;
netsum += inarray[13] * 0.6036339;
netsum += inarray[14] * -0.1803063;
netsum += inarray[15] * -0.099176;
netsum += inarray[16] * 1.604556E-02;
netsum += inarray[17] * -0.1970067;
netsum += inarray[18] * -0.4273816;
netsum += inarray[19] * 0.1324755;
netsum += inarray[20] * -0.2380813;
netsum += inarray[21] * -0.173336;
feature2[16] = exp(-netsum * netsum);
 
netsum = -0.2217407;
netsum += inarray[0] * -0.1284822;
netsum += inarray[1] * -0.3011821;
netsum += inarray[2] * -0.1056677;
netsum += inarray[3] * 0.4959048;
netsum += inarray[4] * 1.448464E-02;
netsum += inarray[5] * -0.3675554;
netsum += inarray[6] * -3.991152E-02;
netsum += inarray[7] * 0.9415479;
netsum += inarray[8] * 0.6710401;
netsum += inarray[9] * -1.084372;
netsum += inarray[10] * -0.9249271;
netsum += inarray[11] * -0.1248998;
netsum += inarray[12] * 0.9160199;
netsum += inarray[13] * -0.2155384;
netsum += inarray[14] * -0.308558;
netsum += inarray[15] * 0.9305265;
netsum += inarray[16] * -0.0558414;
netsum += inarray[17] * 0.2480894;
netsum += inarray[18] * 0.0645013;
netsum += inarray[19] * 9.536529E-02;
netsum += inarray[20] * -2.030998E-02;
netsum += inarray[21] * -1.051331;
feature2[17] = exp(-netsum * netsum);
 
netsum = -0.3102916;
netsum += inarray[0] * -0.2175092;
netsum += inarray[1] * -0.3163315;
netsum += inarray[2] * -6.628665E-02;
netsum += inarray[3] * -0.1033077;
netsum += inarray[4] * 0.2769529;
netsum += inarray[5] * -0.1224698;
netsum += inarray[6] * -0.227327;
netsum += inarray[7] * -0.316295;
netsum += inarray[8] * 4.905099E-02;
netsum += inarray[9] * 0.0819457;
netsum += inarray[10] * -0.1097325;
netsum += inarray[11] * -0.547034;
netsum += inarray[12] * -0.3816669;
netsum += inarray[13] * 0.1012181;
netsum += inarray[14] * -0.1062316;
netsum += inarray[15] * -0.4790919;
netsum += inarray[16] * -0.4063726;
netsum += inarray[17] * -0.4084475;
netsum += inarray[18] * 0.3611216;
netsum += inarray[19] * -0.8234738;
netsum += inarray[20] * -0.179636;
netsum += inarray[21] * -1.29814;
feature2[18] = exp(-netsum * netsum);
 
netsum = -0.1338023;
netsum += inarray[0] * 0.2922422;
netsum += inarray[1] * -0.3392393;
netsum += inarray[2] * -1.142142E-02;
netsum += inarray[3] * 0.2994922;
netsum += inarray[4] * 0.2004832;
netsum += inarray[5] * -0.2229923;
netsum += inarray[6] * 0.6360257;
netsum += inarray[7] * -0.1114539;
netsum += inarray[8] * 0.1093124;
netsum += inarray[9] * 8.855122E-02;
netsum += inarray[10] * 0.1013255;
netsum += inarray[11] * 0.254638;
netsum += inarray[12] * 0.6277459;
netsum += inarray[13] * -0.2099441;
netsum += inarray[14] * 1.495575E-02;
netsum += inarray[15] * -9.358559E-03;
netsum += inarray[16] * -9.754351E-02;
netsum += inarray[17] * 5.848186E-02;
netsum += inarray[18] * 4.546696E-02;
netsum += inarray[19] * 0.1783697;
netsum += inarray[20] * 2.464214E-02;
netsum += inarray[21] * -0.8224168;
feature2[19] = exp(-netsum * netsum);
 
netsum = 0.7046385;
netsum += inarray[0] * 0.5475291;
netsum += inarray[1] * 0.1596964;
netsum += inarray[2] * -4.180388E-02;
netsum += inarray[3] * 0.1506338;
netsum += inarray[4] * -0.1028677;
netsum += inarray[5] * 0.3568681;
netsum += inarray[6] * -0.9824802;
netsum += inarray[7] * -0.7085769;
netsum += inarray[8] * 0.3493896;
netsum += inarray[9] * -0.3025395;
netsum += inarray[10] * -0.6272755;
netsum += inarray[11] * 0.2171198;
netsum += inarray[12] * 0.2213226;
netsum += inarray[13] * 8.679607E-02;
netsum += inarray[14] * 0.1574982;
netsum += inarray[15] * 8.523487E-02;
netsum += inarray[16] * 0.3446769;
netsum += inarray[17] * -2.578395E-02;
netsum += inarray[18] * -0.1139608;
netsum += inarray[19] * 0.3761254;
netsum += inarray[20] * 8.144209E-02;
netsum += inarray[21] * 0.3884957;
feature2[20] = exp(-netsum * netsum);
 
netsum = 0.2302141;
netsum += inarray[0] * 6.817915E-02;
netsum += inarray[1] * 0.3599384;
netsum += inarray[2] * -0.1868021;
netsum += inarray[3] * -0.4973847;
netsum += inarray[4] * -1.570251E-03;
netsum += inarray[5] * 1.546373E-02;
netsum += inarray[6] * 0.1153309;
netsum += inarray[7] * 7.275508E-02;
netsum += inarray[8] * 5.756252E-02;
netsum += inarray[9] * -0.2624795;
netsum += inarray[10] * 1.677953E-02;
netsum += inarray[11] * 0.6458719;
netsum += inarray[12] * -0.5076126;
netsum += inarray[13] * -0.521224;
netsum += inarray[14] * 0.3656598;
netsum += inarray[15] * 9.365194E-02;
netsum += inarray[16] * 1.195763;
netsum += inarray[17] * -0.2765374;
netsum += inarray[18] * 0.1608927;
netsum += inarray[19] * -0.3043493;
netsum += inarray[20] * -6.145981E-02;
netsum += inarray[21] * 0.4941449;
feature3[0] = tanh(netsum);
 
netsum = 0.1518459;
netsum += inarray[0] * -0.3574043;
netsum += inarray[1] * 7.647118E-02;
netsum += inarray[2] * -5.844122E-02;
netsum += inarray[3] * -0.4970612;
netsum += inarray[4] * 0.1132175;
netsum += inarray[5] * -0.2083131;
netsum += inarray[6] * 0.2822689;
netsum += inarray[7] * 0.4370333;
netsum += inarray[8] * 0.1021191;
netsum += inarray[9] * -0.2166787;
netsum += inarray[10] * 8.646072E-03;
netsum += inarray[11] * -0.1780289;
netsum += inarray[12] * -0.1426864;
netsum += inarray[13] * -0.9159398;
netsum += inarray[14] * 0.197126;
netsum += inarray[15] * 0.1669435;
netsum += inarray[16] * -0.471453;
netsum += inarray[17] * 0.1766101;
netsum += inarray[18] * -0.3513201;
netsum += inarray[19] * -5.609822E-02;
netsum += inarray[20] * -0.2589892;
netsum += inarray[21] * 0.3526497;
feature3[1] = tanh(netsum);
 
netsum = 0.5769292;
netsum += inarray[0] * 0.490629;
netsum += inarray[1] * 0.1695528;
netsum += inarray[2] * -0.1404186;
netsum += inarray[3] * -1.393664;
netsum += inarray[4] * 0.3597676;
netsum += inarray[5] * -0.1168258;
netsum += inarray[6] * -0.1059698;
netsum += inarray[7] * 5.733292E-02;
netsum += inarray[8] * 0.1115438;
netsum += inarray[9] * 0.6472158;
netsum += inarray[10] * -0.4306392;
netsum += inarray[11] * 0.9055327;
netsum += inarray[12] * 0.7742626;
netsum += inarray[13] * -0.2777021;
netsum += inarray[14] * 0.2549249;
netsum += inarray[15] * 0.4583014;
netsum += inarray[16] * -0.161018;
netsum += inarray[17] * 7.581758E-02;
netsum += inarray[18] * -0.5296071;
netsum += inarray[19] * -0.8174577;
netsum += inarray[20] * 0.5661049;
netsum += inarray[21] * 0.3331994;
feature3[2] = tanh(netsum);
 
netsum = -0.1244238;
netsum += inarray[0] * -0.1239111;
netsum += inarray[1] * -0.4107574;
netsum += inarray[2] * -0.0817251;
netsum += inarray[3] * -0.4408786;
netsum += inarray[4] * 0.177294;
netsum += inarray[5] * -0.2262918;
netsum += inarray[6] * 0.3056973;
netsum += inarray[7] * 0.4061729;
netsum += inarray[8] * 6.895571E-02;
netsum += inarray[9] * 0.2197416;
netsum += inarray[10] * -4.005038E-02;
netsum += inarray[11] * 0.4819918;
netsum += inarray[12] * -0.1077732;
netsum += inarray[13] * 0.1465058;
netsum += inarray[14] * 5.200515E-02;
netsum += inarray[15] * -0.8044905;
netsum += inarray[16] * -0.3070167;
netsum += inarray[17] * 9.068721E-02;
netsum += inarray[18] * -0.3260164;
netsum += inarray[19] * 0.148533;
netsum += inarray[20] * 6.515106E-02;
netsum += inarray[21] * 0.6402858;
feature3[3] = tanh(netsum);
 
netsum = 1.284217E-03;
netsum += inarray[0] * -0.4243393;
netsum += inarray[1] * 0.3835385;
netsum += inarray[2] * 0.304564;
netsum += inarray[3] * 0.3967032;
netsum += inarray[4] * 6.689806E-02;
netsum += inarray[5] * 0.7927696;
netsum += inarray[6] * -0.9174144;
netsum += inarray[7] * 0.6469916;
netsum += inarray[8] * -0.2205273;
netsum += inarray[9] * 0.1053424;
netsum += inarray[10] * 0.1887641;
netsum += inarray[11] * -0.2692114;
netsum += inarray[12] * 0.1224;
netsum += inarray[13] * 0.6634456;
netsum += inarray[14] * -0.1171404;
netsum += inarray[15] * 0.843341;
netsum += inarray[16] * -0.6524509;
netsum += inarray[17] * 0.2270856;
netsum += inarray[18] * -2.810742E-02;
netsum += inarray[19] * -3.663888E-02;
netsum += inarray[20] * 0.2471301;
netsum += inarray[21] * 0.7286195;
feature3[4] = tanh(netsum);
 
netsum = 7.182043E-03;
netsum += inarray[0] * -0.1465031;
netsum += inarray[1] * 0.1813221;
netsum += inarray[2] * 0.2946939;
netsum += inarray[3] * 0.3912086;
netsum += inarray[4] * -1.367899E-02;
netsum += inarray[5] * 0.1440663;
netsum += inarray[6] * -3.643524E-03;
netsum += inarray[7] * 1.439022E-02;
netsum += inarray[8] * -0.3806087;
netsum += inarray[9] * -0.2809415;
netsum += inarray[10] * -0.3546915;
netsum += inarray[11] * -0.2201376;
netsum += inarray[12] * 0.1112404;
netsum += inarray[13] * -4.093988E-03;
netsum += inarray[14] * -0.2832038;
netsum += inarray[15] * 0.4825578;
netsum += inarray[16] * -0.1243711;
netsum += inarray[17] * 0.2295955;
netsum += inarray[18] * 0.3681641;
netsum += inarray[19] * 8.527625E-02;
netsum += inarray[20] * -0.383382;
netsum += inarray[21] * 0.7823259;
feature3[5] = tanh(netsum);
 
netsum = 0.2166127;
netsum += inarray[0] * 0.1770058;
netsum += inarray[1] * 9.048638E-02;
netsum += inarray[2] * 0.1616532;
netsum += inarray[3] * 0.5975274;
netsum += inarray[4] * -0.2421101;
netsum += inarray[5] * -0.4867955;
netsum += inarray[6] * -3.488527E-02;
netsum += inarray[7] * -0.2248749;
netsum += inarray[8] * -0.4696286;
netsum += inarray[9] * 1.716407E-02;
netsum += inarray[10] * 0.4903962;
netsum += inarray[11] * -9.925334E-02;
netsum += inarray[12] * -3.36755E-03;
netsum += inarray[13] * 0.3146582;
netsum += inarray[14] * -1.731935E-02;
netsum += inarray[15] * 0.138696;
netsum += inarray[16] * 8.704858E-02;
netsum += inarray[17] * 0.1564386;
netsum += inarray[18] * -3.584671E-02;
netsum += inarray[19] * -2.674537E-04;
netsum += inarray[20] * 4.288454E-02;
netsum += inarray[21] * -0.4787399;
feature3[6] = tanh(netsum);
 
netsum = -2.654688E-02;
netsum += inarray[0] * -0.5294797;
netsum += inarray[1] * 0.1924137;
netsum += inarray[2] * -8.899982E-02;
netsum += inarray[3] * 0.6288632;
netsum += inarray[4] * -0.2255438;
netsum += inarray[5] * -0.1175927;
netsum += inarray[6] * -0.1453095;
netsum += inarray[7] * -0.1359448;
netsum += inarray[8] * -9.074749E-02;
netsum += inarray[9] * -8.438634E-02;
netsum += inarray[10] * 0.3538634;
netsum += inarray[11] * 2.727439E-02;
netsum += inarray[12] * 0.6481062;
netsum += inarray[13] * 0.4110347;
netsum += inarray[14] * -0.1293532;
netsum += inarray[15] * 0.8380647;
netsum += inarray[16] * -8.675452E-02;
netsum += inarray[17] * 0.1968415;
netsum += inarray[18] * 0.1295274;
netsum += inarray[19] * -0.112342;
netsum += inarray[20] * -7.083921E-02;
netsum += inarray[21] * -0.7305779;
feature3[7] = tanh(netsum);
 
netsum = 0.144958;
netsum += inarray[0] * -9.71588E-03;
netsum += inarray[1] * 7.411066E-02;
netsum += inarray[2] * -0.3296118;
netsum += inarray[3] * -0.7083123;
netsum += inarray[4] * -0.2242604;
netsum += inarray[5] * -0.3797846;
netsum += inarray[6] * 0.2965783;
netsum += inarray[7] * 0.519778;
netsum += inarray[8] * 0.5353132;
netsum += inarray[9] * 0.1864983;
netsum += inarray[10] * -5.154201E-02;
netsum += inarray[11] * 0.6805348;
netsum += inarray[12] * -0.659193;
netsum += inarray[13] * -0.4869666;
netsum += inarray[14] * 0.1046332;
netsum += inarray[15] * -0.4596558;
netsum += inarray[16] * 0.1791643;
netsum += inarray[17] * 6.009039E-02;
netsum += inarray[18] * -6.997173E-02;
netsum += inarray[19] * -0.2941867;
netsum += inarray[20] * 0.2004658;
netsum += inarray[21] * 0.5533081;
feature3[8] = tanh(netsum);
 
netsum = 0.2994413;
netsum += inarray[0] * -0.1598012;
netsum += inarray[1] * -0.7339166;
netsum += inarray[2] * -0.1352278;
netsum += inarray[3] * 0.3458082;
netsum += inarray[4] * 1.306419;
netsum += inarray[5] * -2.335751E-02;
netsum += inarray[6] * 4.591011E-02;
netsum += inarray[7] * 8.576379E-02;
netsum += inarray[8] * -0.217267;
netsum += inarray[9] * 3.915094E-02;
netsum += inarray[10] * -0.1994737;
netsum += inarray[11] * 0.1749789;
netsum += inarray[12] * 0.3206295;
netsum += inarray[13] * -7.477955E-03;
netsum += inarray[14] * -2.798222;
netsum += inarray[15] * -0.2125474;
netsum += inarray[16] * -2.429887;
netsum += inarray[17] * -5.738405E-02;
netsum += inarray[18] * 2.478947E-02;
netsum += inarray[19] * -0.362538;
netsum += inarray[20] * 0.2779447;
netsum += inarray[21] * -0.3476745;
feature3[9] = tanh(netsum);
 
netsum = 0.43982;
netsum += inarray[0] * 0.4279178;
netsum += inarray[1] * -9.710298E-02;
netsum += inarray[2] * 1.459972E-02;
netsum += inarray[3] * 0.2267561;
netsum += inarray[4] * -0.2449021;
netsum += inarray[5] * -0.4284078;
netsum += inarray[6] * 0.1300386;
netsum += inarray[7] * 0.4085908;
netsum += inarray[8] * -6.189645E-02;
netsum += inarray[9] * -0.2311842;
netsum += inarray[10] * -0.4182454;
netsum += inarray[11] * -0.1826652;
netsum += inarray[12] * -3.160663E-02;
netsum += inarray[13] * 0.4434923;
netsum += inarray[14] * -0.2764015;
netsum += inarray[15] * -0.7006025;
netsum += inarray[16] * 0.8513089;
netsum += inarray[17] * -0.1407691;
netsum += inarray[18] * 0.1914831;
netsum += inarray[19] * -2.539854E-02;
netsum += inarray[20] * -0.4185325;
netsum += inarray[21] * -0.4419649;
feature3[10] = tanh(netsum);
 
netsum = -3.553287E-02;
netsum += inarray[0] * 0.1466077;
netsum += inarray[1] * -0.1928215;
netsum += inarray[2] * 0.1696015;
netsum += inarray[3] * -0.5308173;
netsum += inarray[4] * -0.2917331;
netsum += inarray[5] * -0.6344352;
netsum += inarray[6] * -0.1021683;
netsum += inarray[7] * -0.4132037;
netsum += inarray[8] * 0.208819;
netsum += inarray[9] * -0.1985446;
netsum += inarray[10] * -0.1784298;
netsum += inarray[11] * -6.517577E-02;
netsum += inarray[12] * -1.144367;
netsum += inarray[13] * -0.6855084;
netsum += inarray[14] * 0.1950719;
netsum += inarray[15] * 4.628211E-02;
netsum += inarray[16] * -0.2074461;
netsum += inarray[17] * 2.035848E-02;
netsum += inarray[18] * 0.4272693;
netsum += inarray[19] * 2.353842E-02;
netsum += inarray[20] * -9.467405E-02;
netsum += inarray[21] * 0.6743849;
feature3[11] = tanh(netsum);
 
netsum = -0.1536627;
netsum += inarray[0] * -0.1728894;
netsum += inarray[1] * 0.159088;
netsum += inarray[2] * 6.912515E-02;
netsum += inarray[3] * -0.1607473;
netsum += inarray[4] * -0.1594306;
netsum += inarray[5] * -0.0123451;
netsum += inarray[6] * -0.1778395;
netsum += inarray[7] * -0.1280565;
netsum += inarray[8] * -0.3050072;
netsum += inarray[9] * 4.987511E-02;
netsum += inarray[10] * -0.5094947;
netsum += inarray[11] * -0.2585375;
netsum += inarray[12] * 1.636209;
netsum += inarray[13] * -0.240323;
netsum += inarray[14] * 1.110447E-02;
netsum += inarray[15] * 1.47131;
netsum += inarray[16] * 0.155934;
netsum += inarray[17] * -0.1481453;
netsum += inarray[18] * 9.287627E-02;
netsum += inarray[19] * 0.3567392;
netsum += inarray[20] * 0.2690861;
netsum += inarray[21] * -0.6407183;
feature3[12] = tanh(netsum);
 
netsum = 0.1762383;
netsum += inarray[0] * 0.2529252;
netsum += inarray[1] * 0.1342035;
netsum += inarray[2] * -6.046624E-02;
netsum += inarray[3] * -4.852717E-02;
netsum += inarray[4] * 0.3253849;
netsum += inarray[5] * -0.3390362;
netsum += inarray[6] * 0.3882459;
netsum += inarray[7] * 0.267525;
netsum += inarray[8] * 0.3983577;
netsum += inarray[9] * -0.1259248;
netsum += inarray[10] * -0.2382369;
netsum += inarray[11] * 1.798431E-02;
netsum += inarray[12] * -0.2736562;
netsum += inarray[13] * -5.283866E-02;
netsum += inarray[14] * 0.1984731;
netsum += inarray[15] * 4.446054E-02;
netsum += inarray[16] * -0.6619969;
netsum += inarray[17] * 8.922318E-02;
netsum += inarray[18] * -0.2440404;
netsum += inarray[19] * -0.6355682;
netsum += inarray[20] * -0.2650727;
netsum += inarray[21] * 0.4227277;
feature3[13] = tanh(netsum);
 
netsum = -5.899291E-02;
netsum += inarray[0] * -4.743861E-02;
netsum += inarray[1] * 0.3480601;
netsum += inarray[2] * -1.986639E-02;
netsum += inarray[3] * 0.2209116;
netsum += inarray[4] * -0.3312355;
netsum += inarray[5] * 2.535088E-03;
netsum += inarray[6] * -7.947259E-02;
netsum += inarray[7] * -9.694588E-02;
netsum += inarray[8] * -0.3162733;
netsum += inarray[9] * 9.729609E-02;
netsum += inarray[10] * 0.3236851;
netsum += inarray[11] * -0.1760923;
netsum += inarray[12] * 0.5574064;
netsum += inarray[13] * 0.1297966;
netsum += inarray[14] * 1.327077E-02;
netsum += inarray[15] * 8.603165E-02;
netsum += inarray[16] * 5.342408E-02;
netsum += inarray[17] * 3.073063E-02;
netsum += inarray[18] * 0.2848687;
netsum += inarray[19] * 0.1011472;
netsum += inarray[20] * 0.5475809;
netsum += inarray[21] * -0.7355225;
feature3[14] = tanh(netsum);
 
netsum = 0.3457662;
netsum += inarray[0] * 0.1906345;
netsum += inarray[1] * 0.2486206;
netsum += inarray[2] * 0.2257106;
netsum += inarray[3] * -0.8910052;
netsum += inarray[4] * -0.0815224;
netsum += inarray[5] * -0.1916821;
netsum += inarray[6] * -7.603665E-02;
netsum += inarray[7] * 0.342694;
netsum += inarray[8] * 0.3309169;
netsum += inarray[9] * -0.2584637;
netsum += inarray[10] * -0.11373;
netsum += inarray[11] * -2.024909E-02;
netsum += inarray[12] * -1.002383;
netsum += inarray[13] * -1.018764;
netsum += inarray[14] * 0.5196312;
netsum += inarray[15] * -0.3430009;
netsum += inarray[16] * 0.2089836;
netsum += inarray[17] * -5.245996E-02;
netsum += inarray[18] * -0.1147765;
netsum += inarray[19] * 5.993946E-02;
netsum += inarray[20] * -0.1419771;
netsum += inarray[21] * 0.5644961;
feature3[15] = tanh(netsum);
 
netsum = 0.0958965;
netsum += inarray[0] * 9.468067E-03;
netsum += inarray[1] * 0.353643;
netsum += inarray[2] * 0.0363487;
netsum += inarray[3] * 5.752046E-02;
netsum += inarray[4] * -7.235943E-02;
netsum += inarray[5] * -0.1363946;
netsum += inarray[6] * -0.2024884;
netsum += inarray[7] * 1.341195E-02;
netsum += inarray[8] * -0.109283;
netsum += inarray[9] * -0.1815084;
netsum += inarray[10] * -0.2734293;
netsum += inarray[11] * -0.2225853;
netsum += inarray[12] * 0.146293;
netsum += inarray[13] * 0.2228426;
netsum += inarray[14] * 1.133667E-03;
netsum += inarray[15] * -9.877652E-03;
netsum += inarray[16] * -0.5072684;
netsum += inarray[17] * -0.1791367;
netsum += inarray[18] * 0.4512827;
netsum += inarray[19] * 0.1315963;
netsum += inarray[20] * -5.570036E-03;
netsum += inarray[21] * -0.7425167;
feature3[16] = tanh(netsum);
 
netsum = -0.1188123;
netsum += inarray[0] * 3.547708E-02;
netsum += inarray[1] * 0.1580825;
netsum += inarray[2] * 0.2486077;
netsum += inarray[3] * 0.4232197;
netsum += inarray[4] * -0.5084336;
netsum += inarray[5] * 0.1588061;
netsum += inarray[6] * -0.3161144;
netsum += inarray[7] * -0.3249488;
netsum += inarray[8] * -0.3305432;
netsum += inarray[9] * -0.9931415;
netsum += inarray[10] * 0.0910946;
netsum += inarray[11] * -0.3099114;
netsum += inarray[12] * 0.2713856;
netsum += inarray[13] * 0.8683876;
netsum += inarray[14] * -5.091793E-02;
netsum += inarray[15] * 0.3032239;
netsum += inarray[16] * -1.528628E-02;
netsum += inarray[17] * 0.4594967;
netsum += inarray[18] * 0.3892022;
netsum += inarray[19] * 0.1651788;
netsum += inarray[20] * 0.1220844;
netsum += inarray[21] * -0.5546082;
feature3[17] = tanh(netsum);
 
netsum = 6.031992E-02;
netsum += inarray[0] * 9.377432E-02;
netsum += inarray[1] * 6.587408E-02;
netsum += inarray[2] * 0.1979914;
netsum += inarray[3] * 0.265532;
netsum += inarray[4] * -0.4427207;
netsum += inarray[5] * 0.1690374;
netsum += inarray[6] * -0.1984858;
netsum += inarray[7] * -0.2366486;
netsum += inarray[8] * -0.1445134;
netsum += inarray[9] * -0.3317614;
netsum += inarray[10] * 0.521525;
netsum += inarray[11] * -4.823745E-02;
netsum += inarray[12] * 0.4500334;
netsum += inarray[13] * 0.3539993;
netsum += inarray[14] * 0.2297885;
netsum += inarray[15] * -0.0682195;
netsum += inarray[16] * -0.1259231;
netsum += inarray[17] * 0.301816;
netsum += inarray[18] * 8.096012E-02;
netsum += inarray[19] * 0.3298097;
netsum += inarray[20] * 0.981472;
netsum += inarray[21] * -0.349152;
feature3[18] = tanh(netsum);
 
netsum = -0.2057989;
netsum += inarray[0] * -0.2392167;
netsum += inarray[1] * 0.28882;
netsum += inarray[2] * 7.022703E-04;
netsum += inarray[3] * -0.2402862;
netsum += inarray[4] * -0.1637078;
netsum += inarray[5] * -0.292434;
netsum += inarray[6] * -0.1974908;
netsum += inarray[7] * 0.1139571;
netsum += inarray[8] * -4.534201E-02;
netsum += inarray[9] * -9.899915E-02;
netsum += inarray[10] * 0.2428224;
netsum += inarray[11] * -0.3167953;
netsum += inarray[12] * 0.2307531;
netsum += inarray[13] * 0.5106766;
netsum += inarray[14] * -0.205453;
netsum += inarray[15] * -0.1282764;
netsum += inarray[16] * 0.3650835;
netsum += inarray[17] * -0.3563551;
netsum += inarray[18] * -0.0912219;
netsum += inarray[19] * 0.2219648;
netsum += inarray[20] * -7.917284E-03;
netsum += inarray[21] * -1.023381;
feature3[19] = tanh(netsum);
 
netsum = 7.811674E-02;
netsum += inarray[0] * 0.4096211;
netsum += inarray[1] * -0.1487004;
netsum += inarray[2] * 7.495839E-03;
netsum += inarray[3] * 4.643435E-02;
netsum += inarray[4] * 0.234161;
netsum += inarray[5] * -5.952245E-02;
netsum += inarray[6] * 0.1985355;
netsum += inarray[7] * -6.713028E-02;
netsum += inarray[8] * -0.104236;
netsum += inarray[9] * 0.2804449;
netsum += inarray[10] * -0.2690454;
netsum += inarray[11] * -0.1749753;
netsum += inarray[12] * -0.2714888;
netsum += inarray[13] * 0.0312064;
netsum += inarray[14] * 0.1502996;
netsum += inarray[15] * 2.064045;
netsum += inarray[16] * -0.2378006;
netsum += inarray[17] * -0.1663385;
netsum += inarray[18] * -0.2210888;
netsum += inarray[19] * -0.4614674;
netsum += inarray[20] * -0.2873782;
netsum += inarray[21] * 0.4296294;
feature3[20] = tanh(netsum);
 
netsum = 0.3689329;
netsum += inarray[0] * 0.2178479;
netsum += inarray[1] * -0.0180987;
netsum += inarray[2] * 0.2436952;
netsum += inarray[3] * -7.676198E-02;
netsum += inarray[4] * 1.045172E-02;
netsum += inarray[5] * -0.6472195;
netsum += inarray[6] * -0.3818478;
netsum += inarray[7] * 3.217078E-02;
netsum += inarray[8] * -0.534298;
netsum += inarray[9] * -0.7591416;
netsum += inarray[10] * -0.2945994;
netsum += inarray[11] * -0.2633277;
netsum += inarray[12] * -0.4436055;
netsum += inarray[13] * -0.0803801;
netsum += inarray[14] * -0.3208926;
netsum += inarray[15] * -0.2690964;
netsum += inarray[16] * 0.1077683;
netsum += inarray[17] * 0.3943141;
netsum += inarray[18] * 0.2480581;
netsum += inarray[19] * 0.1428189;
netsum += inarray[20] * -0.17648;
netsum += inarray[21] * 7.988156E-02;
feature4[0] = 1 - exp(-netsum * netsum);
 
netsum = 0.2508805;
netsum += inarray[0] * 4.607077E-02;
netsum += inarray[1] * -1.111992E-02;
netsum += inarray[2] * 0.096861;
netsum += inarray[3] * 0.2722218;
netsum += inarray[4] * 5.361823E-02;
netsum += inarray[5] * 0.2281785;
netsum += inarray[6] * -7.169034E-02;
netsum += inarray[7] * -0.6683609;
netsum += inarray[8] * 0.1204828;
netsum += inarray[9] * -0.3314534;
netsum += inarray[10] * -1.637177E-02;
netsum += inarray[11] * 2.353498E-02;
netsum += inarray[12] * -2.169564E-02;
netsum += inarray[13] * -0.2659378;
netsum += inarray[14] * 8.606783E-02;
netsum += inarray[15] * 0.1227265;
netsum += inarray[16] * 5.572391E-02;
netsum += inarray[17] * 0.4615148;
netsum += inarray[18] * -3.622526E-02;
netsum += inarray[19] * 0.1924742;
netsum += inarray[20] * -6.578284E-02;
netsum += inarray[21] * 0.3371301;
feature4[1] = 1 - exp(-netsum * netsum);
 
netsum = 0.2447187;
netsum += inarray[0] * 0.2848566;
netsum += inarray[1] * 0.3455325;
netsum += inarray[2] * 0.1368345;
netsum += inarray[3] * 0.2103244;
netsum += inarray[4] * -0.4007227;
netsum += inarray[5] * -0.1791292;
netsum += inarray[6] * 0.3407814;
netsum += inarray[7] * 1.434624;
netsum += inarray[8] * -0.1466126;
netsum += inarray[9] * 0.7089683;
netsum += inarray[10] * -0.4944896;
netsum += inarray[11] * -0.3210852;
netsum += inarray[12] * -0.5683046;
netsum += inarray[13] * 0.1134735;
netsum += inarray[14] * 6.108999E-02;
netsum += inarray[15] * -0.3181548;
netsum += inarray[16] * 8.221813E-02;
netsum += inarray[17] * 0.2422762;
netsum += inarray[18] * -5.736246E-02;
netsum += inarray[19] * -0.1846426;
netsum += inarray[20] * -0.2702347;
netsum += inarray[21] * -1.036306;
feature4[2] = 1 - exp(-netsum * netsum);
 
netsum = -0.1754043;
netsum += inarray[0] * -0.2274078;
netsum += inarray[1] * 0.2556576;
netsum += inarray[2] * 0.3859693;
netsum += inarray[3] * -0.1428408;
netsum += inarray[4] * 0.049672;
netsum += inarray[5] * -0.1000339;
netsum += inarray[6] * 0.1938025;
netsum += inarray[7] * 4.403293E-02;
netsum += inarray[8] * 0.2371038;
netsum += inarray[9] * -1.734587E-02;
netsum += inarray[10] * -4.481484E-02;
netsum += inarray[11] * 0.3369077;
netsum += inarray[12] * 0.3147695;
netsum += inarray[13] * -0.1612951;
netsum += inarray[14] * 0.2317658;
netsum += inarray[15] * -0.2057166;
netsum += inarray[16] * -0.1257014;
netsum += inarray[17] * 3.576389E-02;
netsum += inarray[18] * -0.2838628;
netsum += inarray[19] * -9.858432E-02;
netsum += inarray[20] * 2.973926E-02;
netsum += inarray[21] * 0.2593364;
feature4[3] = 1 - exp(-netsum * netsum);
 
netsum = -0.3211257;
netsum += inarray[0] * 9.272362E-02;
netsum += inarray[1] * 1.808735E-02;
netsum += inarray[2] * 0.2200255;
netsum += inarray[3] * -0.3418224;
netsum += inarray[4] * 0.3911171;
netsum += inarray[5] * -0.1006102;
netsum += inarray[6] * 7.367908E-02;
netsum += inarray[7] * 0.2416662;
netsum += inarray[8] * 4.456977E-03;
netsum += inarray[9] * 0.3991638;
netsum += inarray[10] * -2.673036E-02;
netsum += inarray[11] * 4.102737E-04;
netsum += inarray[12] * -0.3777507;
netsum += inarray[13] * -0.3161551;
netsum += inarray[14] * 2.777767E-02;
netsum += inarray[15] * -0.9942936;
netsum += inarray[16] * 6.044144E-02;
netsum += inarray[17] * 0.2418862;
netsum += inarray[18] * -0.1792707;
netsum += inarray[19] * 9.278128E-03;
netsum += inarray[20] * -0.2657717;
netsum += inarray[21] * -0.8005888;
feature4[4] = 1 - exp(-netsum * netsum);
 
netsum = -0.2675382;
netsum += inarray[0] * 0.227942;
netsum += inarray[1] * -0.2911522;
netsum += inarray[2] * -0.2889659;
netsum += inarray[3] * 0.2394808;
netsum += inarray[4] * 0.0300406;
netsum += inarray[5] * 0.2357596;
netsum += inarray[6] * 0.159275;
netsum += inarray[7] * 0.135374;
netsum += inarray[8] * 7.651847E-02;
netsum += inarray[9] * 0.3695182;
netsum += inarray[10] * -0.2439348;
netsum += inarray[11] * -0.2362863;
netsum += inarray[12] * -0.3474568;
netsum += inarray[13] * 0.2482704;
netsum += inarray[14] * -0.1486638;
netsum += inarray[15] * -0.2353829;
netsum += inarray[16] * 6.923163E-02;
netsum += inarray[17] * -0.039414;
netsum += inarray[18] * -5.472242E-02;
netsum += inarray[19] * -0.4187181;
netsum += inarray[20] * -4.856554E-02;
netsum += inarray[21] * -0.8778537;
feature4[5] = 1 - exp(-netsum * netsum);
 
netsum = -0.2477775;
netsum += inarray[0] * 0.2235687;
netsum += inarray[1] * 2.578813E-02;
netsum += inarray[2] * 0.1580922;
netsum += inarray[3] * -0.2267267;
netsum += inarray[4] * 0.3805222;
netsum += inarray[5] * 0.2558236;
netsum += inarray[6] * -0.1680744;
netsum += inarray[7] * 0.3205377;
netsum += inarray[8] * -0.1758337;
netsum += inarray[9] * -8.663558E-02;
netsum += inarray[10] * 0.2607867;
netsum += inarray[11] * 0.1237832;
netsum += inarray[12] * 0.1373064;
netsum += inarray[13] * -4.455549E-02;
netsum += inarray[14] * -2.809831E-02;
netsum += inarray[15] * 6.695667E-05;
netsum += inarray[16] * -0.5826401;
netsum += inarray[17] * 0.2258592;
netsum += inarray[18] * 0.2154884;
netsum += inarray[19] * 0.2560125;
netsum += inarray[20] * -2.412658E-02;
netsum += inarray[21] * 0.3919557;
feature4[6] = 1 - exp(-netsum * netsum);
 
netsum = -0.0955465;
netsum += inarray[0] * 0.211366;
netsum += inarray[1] * 0.1340611;
netsum += inarray[2] * 3.737158E-02;
netsum += inarray[3] * -0.250684;
netsum += inarray[4] * -0.0406833;
netsum += inarray[5] * 0.2827767;
netsum += inarray[6] * 0.2952361;
netsum += inarray[7] * 0.1354737;
netsum += inarray[8] * 4.125438E-02;
netsum += inarray[9] * 0.3616524;
netsum += inarray[10] * 0.3019747;
netsum += inarray[11] * 5.574401E-02;
netsum += inarray[12] * 0.2063528;
netsum += inarray[13] * -0.1569352;
netsum += inarray[14] * 0.2272304;
netsum += inarray[15] * 0.2682664;
netsum += inarray[16] * -0.0276438;
netsum += inarray[17] * -0.411539;
netsum += inarray[18] * -0.2924118;
netsum += inarray[19] * -0.2892889;
netsum += inarray[20] * 0.1583167;
netsum += inarray[21] * 0.2167632;
feature4[7] = 1 - exp(-netsum * netsum);
 
netsum = 3.096215E-02;
netsum += inarray[0] * 0.2655275;
netsum += inarray[1] * 0.1659243;
netsum += inarray[2] * -0.3636077;
netsum += inarray[3] * 0.1372962;
netsum += inarray[4] * 0.3215308;
netsum += inarray[5] * -0.2325906;
netsum += inarray[6] * -0.185955;
netsum += inarray[7] * -0.1528254;
netsum += inarray[8] * -0.3043358;
netsum += inarray[9] * 0.4313222;
netsum += inarray[10] * 0.1186924;
netsum += inarray[11] * 0.0527837;
netsum += inarray[12] * -0.3314808;
netsum += inarray[13] * -0.206496;
netsum += inarray[14] * 5.049545E-02;
netsum += inarray[15] * -0.2581383;
netsum += inarray[16] * -0.1466197;
netsum += inarray[17] * 0.1583231;
netsum += inarray[18] * -0.3910828;
netsum += inarray[19] * -0.2368208;
netsum += inarray[20] * -0.1731392;
netsum += inarray[21] * -0.4168134;
feature4[8] = 1 - exp(-netsum * netsum);
 
netsum = -0.0527418;
netsum += inarray[0] * -7.577719E-02;
netsum += inarray[1] * 0.3063219;
netsum += inarray[2] * -0.2579083;
netsum += inarray[3] * -0.1538817;
netsum += inarray[4] * -0.1512159;
netsum += inarray[5] * 0.1765605;
netsum += inarray[6] * 0.3773245;
netsum += inarray[7] * -0.2614975;
netsum += inarray[8] * -9.681493E-02;
netsum += inarray[9] * -0.5275104;
netsum += inarray[10] * 0.0257449;
netsum += inarray[11] * 0.4082267;
netsum += inarray[12] * -3.370126E-02;
netsum += inarray[13] * -0.3527415;
netsum += inarray[14] * -0.1657483;
netsum += inarray[15] * -0.1190494;
netsum += inarray[16] * 0.6350333;
netsum += inarray[17] * 0.5385401;
netsum += inarray[18] * -1.736364E-02;
netsum += inarray[19] * -0.2838648;
netsum += inarray[20] * 0.1234527;
netsum += inarray[21] * 0.3769302;
feature4[9] = 1 - exp(-netsum * netsum);
 
netsum = -6.574583E-02;
netsum += inarray[0] * -0.3777855;
netsum += inarray[1] * -0.1991904;
netsum += inarray[2] * -2.247875E-02;
netsum += inarray[3] * -0.3338419;
netsum += inarray[4] * -0.1370397;
netsum += inarray[5] * 0.129021;
netsum += inarray[6] * 7.917091E-02;
netsum += inarray[7] * -0.1308378;
netsum += inarray[8] * 0.2905974;
netsum += inarray[9] * -6.535087E-02;
netsum += inarray[10] * 0.321855;
netsum += inarray[11] * 0.1859981;
netsum += inarray[12] * 0.289102;
netsum += inarray[13] * 0.2230767;
netsum += inarray[14] * 0.4897515;
netsum += inarray[15] * 0.1299219;
netsum += inarray[16] * 0.2142525;
netsum += inarray[17] * -0.3481062;
netsum += inarray[18] * 6.089276E-02;
netsum += inarray[19] * -0.2045559;
netsum += inarray[20] * -0.2352137;
netsum += inarray[21] * -0.397854;
feature4[10] = 1 - exp(-netsum * netsum);
 
netsum = -0.230526;
netsum += feature2[0] * 0.2472107;
netsum += feature2[1] * -4.542957E-02;
netsum += feature2[2] * -0.2425584;
netsum += feature2[3] * 0.147415;
netsum += feature2[4] * -0.2425868;
netsum += feature2[5] * 0.2656585;
netsum += feature2[6] * 0.1550587;
netsum += feature2[7] * 0.2316077;
netsum += feature2[8] * -0.1699901;
netsum += feature2[9] * -3.146673E-02;
netsum += feature2[10] * -0.2970508;
netsum += feature2[11] * 0.165695;
netsum += feature2[12] * -0.2683214;
netsum += feature2[13] * -9.129393E-02;
netsum += feature2[14] * -0.1144695;
netsum += feature2[15] * 0.2765902;
netsum += feature2[16] * -0.2791986;
netsum += feature2[17] * -0.133803;
netsum += feature2[18] * 1.913983E-02;
netsum += feature2[19] * -0.1970471;
netsum += feature2[20] * -0.1981334;
netsum += 0.415718;
netsum += feature3[0] * 0.2080152;
netsum += feature3[1] * -0.1061939;
netsum += feature3[2] * -5.284183E-02;
netsum += feature3[3] * 0.1827076;
netsum += feature3[4] * -4.455002E-02;
netsum += feature3[5] * -2.878396E-02;
netsum += feature3[6] * 0.0716223;
netsum += feature3[7] * -0.136322;
netsum += feature3[8] * 0.3763181;
netsum += feature3[9] * -9.640698E-02;
netsum += feature3[10] * 0.279491;
netsum += feature3[11] * -0.1461235;
netsum += feature3[12] * -0.2020595;
netsum += feature3[13] * -0.6111497;
netsum += feature3[14] * -0.6181294;
netsum += feature3[15] * 0.3596089;
netsum += feature3[16] * -0.608223;
netsum += feature3[17] * -8.032231E-02;
netsum += feature3[18] * 0.1104968;
netsum += feature3[19] * 0.1404984;
netsum += feature3[20] * -8.726744E-02;
netsum += 4.981568E-03;
netsum += feature4[0] * 7.996554E-02;
netsum += feature4[1] * 0.242582;
netsum += feature4[2] * 0.2686607;
netsum += feature4[3] * 0.2481897;
netsum += feature4[4] * -0.189823;
netsum += feature4[5] * -0.1610014;
netsum += feature4[6] * 4.323902E-02;
netsum += feature4[7] * 0.1611753;
netsum += feature4[8] * 0.2175414;
netsum += feature4[9] * -0.2754714;
netsum += feature4[10] * 0.2089845;
outarray[0] = tanh(netsum);
 
 
outarray[0] = 2 *  (outarray[0] + 1) / 2  + -1;
if (outarray[0]<-1) outarray[0] = -1;
if (outarray[0]>1) outarray[0] = 1;
 
               
}
